/services/platforms/v1/audit-logs/list
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
tool |
string|null | No | auth |
|
action |
string|null | No | login |
|
entity_type |
string|null | No | App\Models\User |
|
entity_id |
integer|null | No | 1 |
|
user_id |
integer|null | No | 1 |
|
project_id |
integer|null | No | 1 |
|
date_from |
string|null (date-time) | No | 2026-01-01 |
|
date_to |
string|null (date-time) | No | 2026-01-31 |
|
per_page |
integer|null
min: 1 max: 100 |
No | 50 |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string | |
data |
object[] |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/audit-logs/list" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"tool": "auth",
"action": "login",
"entity_type": "App\\Models\\User",
"entity_id": 1,
"user_id": 1,
"project_id": 1,
"date_from": "2026-01-01",
"date_to": "2026-01-31",
"per_page": 50
}'
fetch('https://api.wemasy.nl/api/services/platforms/v1/audit-logs/list', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"tool": "auth",
"action": "login",
"entity_type": "App\\Models\\User",
"entity_id": 1,
"user_id": 1,
"project_id": 1,
"date_from": "2026-01-01",
"date_to": "2026-01-31",
"per_page": 50
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/platforms/v1/audit-logs/list', {
"tool": "auth",
"action": "login",
"entity_type": "App\\Models\\User",
"entity_id": 1,
"user_id": 1,
"project_id": 1,
"date_from": "2026-01-01",
"date_to": "2026-01-31",
"per_page": 50
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"tool": "auth",
"action": "login",
"entity_type": "App\\Models\\User",
"entity_id": 1,
"user_id": 1,
"project_id": 1,
"date_from": "2026-01-01",
"date_to": "2026-01-31",
"per_page": 50
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/audit-logs/list", headers=headers, json=data)
print(r.json())
{
"error": false,
"message": "string",
"data": []
}